> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unified-cdn.ngqian.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete grant code

> Delete a specific grant code.



## OpenAPI

````yaml /api/grant-codes/openapi.yaml delete /grant-codes/delete
openapi: 3.1.0
info:
  title: Unified CDN API | Grant codes
  description: Interact with grant codes in the Unified CDN system.
  version: 0.1.0
servers:
  - url: https://{Unified_CDN_domain}/api
    description: Production server where your Unified CDN is hosted.
    variables:
      Unified_CDN_domain:
        default: api.example.com
        description: >-
          The domain where your Unified CDN is hosted. Change this to your
          custom domain if you have one.
security: []
paths:
  /grant-codes/delete:
    delete:
      summary: Delete grant code
      description: Delete a specific grant code.
      responses:
        '200':
          description: Grant code deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: OK
        '401':
          description: Unauthorized access due to missing or invalid grant code.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                missingCode:
                  summary: Missing code
                  value:
                    error: UnauthorisedError
                    message: Missing code in Authorization header.
                invalidCode:
                  summary: Invalid code
                  value:
                    error: UnauthorisedError
                    message: The grant code is invalid or has expired.
      security:
        - CodeAuth: []
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    CodeAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Enter your code using the format `Code <your-code>`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.